Subject: moving of windows

From: Chris Ruffin <[email-masked]>
Date: Fri, 1 Oct 1999 16:21:47 -0500

If you try to move a window using the titlebar, but have little
time after the button click and the point you are moving the
mouse pointer, the X pointer will be far away from the place
where you originally clicked before fvwm figures out what is
going on and begins moving the window.  This is pretty annoying
because then you can't snug the window up to the edge of the
screen, etc.  I discontinued use of fvwm a couple of years ago
because it did this, and even now it appears to do the same
thing.

Here's the function that I use to do move windows with the
titlebar:

AddToFunc Move-or-Raise         "I" Raise
+                               "M" Move
+                               "D" Lower

I'm using fvwm 2.2.2

Thanks,

Chris Ruffin

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Michael Han <[email-masked]>
Date: Fri, 01 Oct 1999 15:29:22 -0700

Previously...
>AddToFunc Move-or-Raise         "I" Raise

You should be able to twiddle the ClickTime setting to lower the
threshold before the Move portion of the function runs. Hmph,
actually, you're probably beating ClickTime by a lot anyway, and it's
the movement that fvwm catches... Anyway, some obscure changes were
made to the ClickTime behavior WRT I/M/C conditions in functions.
Didn't catch the full significance of the changes at the time. Anyway,
try reducing your ClickTime. Its default is 150 ms, so try dropping it
to less.
-- 
[email-masked]                         http://www.best.com/~mikehan/
coffee achiever                              San Francisco, California
"Notice how I  blame my own mistakes  on the lack  of rules?" - Dan Espen 
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 2 Oct 1999 15:44:07 +0200

> >AddToFunc Move-or-Raise         "I" Raise

That's a known problem with fvwm 2.2.2 (although it happens only
on some setups - otherwise it couldn't have sneaked into 2.2.2).
It it already fixed in the development code (I hope), but
unfortunately the fix is so complex that we can't provide it for
the 2.2.x series.

I didn't understand completely where the problem
was, but I suspect it might be a problem of the X server.  I have
noticed that XFree for example sometimes confuses the order in
which button events arrive. Possibly the problem is that when
you click+move fast enough the movement events are reported by Xlib
before the button press.

> the movement that fvwm catches...

> Anyway, some obscure changes were
> Didn't catch the full significance of the changes at the time.

Hey! That you didn't understand my code doesn't mean it is
'obscure' ;-) And that change was after 2.2.x anyway (2.3.5 to
be precise).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]